/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialInventory.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 库存物料对象
 */
public class MaterialInventory extends DataEntity<MaterialInventory> {
	private static final long serialVersionUID = 1L;
	private String materialCode;   //物料编码
	private String materialDetail;   //物料描述
	private Double stockQuantity;   //非限制库存数量
	private Double frozenQuantity;   //已冻结库存数量
	private Double availableStockQuantity;   //可用库存数量
	private Double requireCount;//需求数量
	private Double outCount;//已经出库数量
	@ExcelField(title="需求数量", align=2, sort=5)
	public Double getRequireCount() {
		return requireCount;
	}

	public void setRequireCount(Double requireCount) {
		this.requireCount = requireCount;
	}
	@ExcelField(title="已出库数量", align=2, sort=6)
	public Double getOutCount() {
		return outCount;
	}

	public void setOutCount(Double outCount) {
		this.outCount = outCount;
	}

	@ExcelField(title="物料编码", align=2, sort=1)
	public String getMaterialCode() {
		return materialCode;
	}

	public void setMaterialCode(String materialCode) {
		this.materialCode = materialCode;
	}
	@ExcelField(title="物料描述", align=2, sort=2)
	public String getMaterialDetail() {
		return materialDetail;
	}

	public void setMaterialDetail(String materialDetail) {
		this.materialDetail = materialDetail;
	}
	@ExcelField(title="非限制库存数量", align=2, sort=3)
	public Double getStockQuantity() {
		return stockQuantity;
	}

	public void setStockQuantity(Double stockQuantity) {
		this.stockQuantity = stockQuantity;
	}
	@ExcelField(title="已冻结库存数量", align=2, sort=4)
	public Double getFrozenQuantity() {
		return frozenQuantity;
	}

	public void setFrozenQuantity(Double frozenQuantity) {
		this.frozenQuantity = frozenQuantity;
	}
	@ExcelField(title="可用库存数量", align=2, sort=7)
	public Double getAvailableStockQuantity() {
		return availableStockQuantity;
	}

	public void setAvailableStockQuantity(Double availableStockQuantity) {
		this.availableStockQuantity = availableStockQuantity;
	}
}

